from __future__ import annotations
from instaui.internal.ui.element import Element


class Navigation(Element):
    def __init__(self, content: str | None = None):
        super().__init__("nav")
        self.props({"innerText": content})
